-- =================================== 2021年9月 超级会员S_VIP start =====================================
CREATE TABLE `cm_svip_product` (
                                   `id` INT NOT NULL AUTO_INCREMENT,
                                   `productId` INT NULL COMMENT '商品id',
                                   `priceType` INT NULL COMMENT '会员价类型：1折扣，2优惠价',
                                   `discount` FLOAT(11,2) NULL COMMENT '会员折扣',
                                   `discountPrice` FLOAT(11,2) NULL COMMENT '会员价',
                                   `sort` INT NULL COMMENT '排序值',
                                   `addTime` DATETIME NULL COMMENT '添加时间',
                                   PRIMARY KEY (`id`))
    COMMENT = '超级会员优惠商品';
CREATE TABLE `cm_svip_product_adsimage` (
                                     `id` INT NOT NULL,
                                     `pcImage` TEXT NULL COMMENT 'pc端宣传图',
                                     `appletsImage` TEXT NULL COMMENT '小程序端宣传图',
                                     PRIMARY KEY (`id`))
    COMMENT = '超级会员优惠商品宣传图';
INSERT INTO `cm_svip_product_adsimage` (`id`) VALUES ('1');
-- =================================== 2021年9月 超级会员S_VIP end =====================================

-- 商品增加“仅医美机构可见”的可见度
ALTER TABLE product
    MODIFY COLUMN priceFlag char(2) default '0' null comment '是否公开机构价：0公开价格，1不公开价格，2仅对会员机构公开，3仅对医美机构公开',
    MODIFY COLUMN visibility char(2) default '3' not null comment '商品可见度：3:所有人可见，2:普通机构可见，1:会员机构可见，4:仅医美机构可见' AFTER priceFlag;

-- =================================== 2021年12月 小版本 start =====================================

-- 1. 商品增加销量记录，可按月统计销量，便于搜索排序
DROP TABLE IF EXISTS `cm_product_sales_record`;
CREATE TABLE `cm_product_sales_record`(
     `id` INT NOT NULL AUTO_INCREMENT,
     `productId` INT(11) NOT NULL COMMENT '商品ID',
     `sales` INT(11) DEFAULT NULL COMMENT '销量',
     `saleTime` DATETIME DEFAULT NULL COMMENT '销售时间',
     PRIMARY KEY (`id`)
) ENGINE=INNODB CHARSET=utf8mb4 COMMENT='商品销量记录表';

-- 2. 商品详情访问量记录，可按月统计，便于搜索排序
DROP TABLE IF EXISTS `cm_product_views_record`;
CREATE TABLE `cm_product_views_record`(
     `id` INT NOT NULL AUTO_INCREMENT,
     `productId` INT(11) NOT NULL COMMENT '商品ID',
     `views` INT(11) DEFAULT NULL COMMENT '访问量',
     `viewTime` DATETIME DEFAULT NULL COMMENT '访问日期',
     PRIMARY KEY (`id`)
) ENGINE=INNODB CHARSET=utf8mb4 COMMENT='商品详情访问量记录表';

