package com.caimei365.commodity.config;

import com.caimei365.commodity.components.RedisService;
import com.caimei365.commodity.utils.JwtUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.HandlerInterceptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/3/12
 */
@Component
public class ApiInterceptor implements HandlerInterceptor {

    @Value("${caimei.coreDomain}")
    private String domain;

    private RedisService redisService;

    @Autowired
    public void setRedisService(RedisService redisService) {
        this.redisService = redisService;
    }

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        String token = request.getHeader("X-Token");
        if (!JwtUtil.isVerify(token)) {
            String cacheToken = null != token ? String.valueOf(redisService.get(token)) : null;
            if (null == cacheToken || !JwtUtil.isVerify(cacheToken)) {
                // Token失效
                response.sendRedirect(domain + "/commodity/unauthorized");
                return false;
            }
        }
        return true;
    }

}
