package com.caimei365.commodity.controller;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.service.MallProductService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/5/11
 */
@Api(tags = "外部商城商品api")
@RestController
@RequestMapping("/commodity/mallProduct")
public class MallProductApi {
    @Autowired private MallProductService productService;

    /**
     * 外部商城商品详情
     * @param productId
     * @return
     */
    @ApiOperation("外部商城商品详情")
    @ApiImplicitParams({
            @ApiImplicitParam(readOnly = true, name = "productId", value = "商品Id")
    })
    @GetMapping("/getProductInfo")
    public ResponseJson<Map<String, Object>> getProductInfo(Integer productId) {
        if(null == productId) {
            return ResponseJson.error(-1,"商品Id不能为空",null);
        }
        return productService.productInfo(productId);
    }
}
