package com.caimei365.commodity.controller;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.service.StatisticsTypeService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @创建人 hzg
 * @创建时间 2022/8/30
 * @描述
 */
@RequestMapping("/commodity/StatisticsType")
@RequiredArgsConstructor
@RestController
public class StatisticsTypeApi {
    private final StatisticsTypeService statisticsTypeService;

    /**
     * 统计进入商品详情位置
     * @param typeId
     */
    @GetMapping("/statisticsNumber")
    public ResponseJson statisticsNumber(@RequestParam("typeId") Integer typeId) {
        if (null == typeId) {
            return ResponseJson.error("类别id为空，统计失败"+typeId);
        }
        return ResponseJson.success(statisticsTypeService.alterTypeNumber(typeId));
    }

}
