package com.caimei365.commodity.feign;

import com.caimei365.commodity.model.dto.MessageDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/9/8
 */
@FeignClient("CAIMEI365-CLOUD-TOOLS")
public interface ToolsFeign {
    /**
     * 请求发消息
     */
    @PostMapping("/tools/mq/send")
    String sendCommonMessage(@RequestParam String topic, @RequestParam String content, @RequestParam String tag, @RequestParam Integer sort, @RequestParam Integer async, @RequestParam Integer oneway, @RequestParam Integer delay);


    /**
     * 请求发短信接口
     *
     * @param mobile  手机号
     * @param content 内容
     * @return str
     */
    @PostMapping("/tools/sms/send")
    String getSendSms(@RequestParam String mobile, @RequestParam String content);
}
