package com.caimei365.commodity.mapper;

import com.caimei365.commodity.model.dto.HeHeSku;
import com.caimei365.commodity.model.dto.Sku;
import com.caimei365.commodity.model.po.HeheCollageProductPo;
import com.caimei365.commodity.model.po.HeheDiscountPricePo;
import com.caimei365.commodity.model.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2022/3/29
 */
@Mapper
public interface HeheMapper {

    List<BigTypeVo> getHomeTypeList();

    List<HeheProductVo> getProductList(@Param("listType") Integer listType, @Param("homeTypeId") Integer homeTypeId, @Param("homeFloorId") Integer homeFloorId, @Param("smallTypeId") Integer smallTypeId, @Param("couponId") Integer couponId, @Param("activityId") Integer activityId, @Param("productName") String productName, @Param("sortType") Integer sortType, @Param("productIds") String productIds);

    Integer getActivityIdByProductId(Integer productId);

    HeheCollageProductPo getCollageProduct(Integer skuId);

    List<LadderPriceVo> getActivityLadderList(Integer activityId, Integer skuId);

    HeHeDiscountVo getProductDiscount(Integer productId, Integer userId);

    Integer getAllProductCouponCount();

    Integer getPartProductCounponCount(Integer productId);

    HeheDiscountPricePo getDiscountPrice(Integer skuId);

    /**
     * 查询可领取的优惠券列表
     *
     * @return
     */
    List<HeheCouponVo> getCouponList(@Param("userId") Integer userId, @Param("productIdArr") String[] productIdArr, @Param("registerTime") Date registerTime, @Param("couponType") Integer couponType);

    Date getUserRegisterTime(Integer userId);

    /**
     * 查询已领取的优惠券列表
     */
    List<HeheCouponVo> getReceiveCouponList(@Param("userId") Integer userId, @Param("productIdArr") String[] productIdArr, @Param("receiveCouponId") Integer receiveCouponId, @Param("status") Integer status);

    /**
     * 根据商品id查询商品
     */
    HeheProductVo getProduct(Integer productId);

    /**
     * 根据分销者用户id查询活动列表
     *
     * @param userId
     * @return
     */
    List<HeHeActivityVo> getActivityList(Integer userId);

    /**
     * 查询活动轮播图
     */
    String getActivityImageById(Integer activityId);

    /**
     * 查询首页轮播图
     *
     * @return
     */
    List<HeHeImageVo> getHomeCarousel();

    List<HeHeSku> findHeheSkus(Integer productId);

    List<LadderPriceVo> getActivityLadderListBySkuId(@Param("activityId") Integer activityId, @Param("skuId") Integer skuId);

    String getHelpContent(Integer helpId);

}
