package com.caimei365.commodity.mapper;

import com.caimei365.commodity.model.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/28
 */
@Mapper
public interface MallOrganizeMapper {


    /**
     * 头部菜单
     * @param organizeId
     * @return
     */
    List<MainmenuVo> getMainmenu(@Param("organizeId") Integer organizeId);

    /**
     * 外部商城 banner图
     * @param organizeId
     * @return
     */
    List<MallImageLinkVo> getMallBannerImages(@Param("organizeId") Integer organizeId);

    /**
     * 外部商城小程序专题活动
     * @param organizeId
     * @return
     */
    MallThemeVo getmallTheme(@Param("organizeId") Integer organizeId);

    /**
     * 楼层信息
     * @param organizeId
     * @return
     */
    List<MallFloorVo> getFloorInfo(@Param("organizeId") Integer organizeId);

    /**
     * 楼层商品
     * @param floorIds
     * @return
     */
    List<MallOrganizeProductVo> getFloorProducts(@Param("floorIds") List<Integer> floorIds);
    /**
     * 外部商城活动
     * @param organizeId
     * @return
     */
    List<MallActiveVo> getMallActive(@Param("organizeId") Integer organizeId);

    /**
     * 外部商城活动商品
     * @return
     */
    List<MallOrganizeProductVo> getMallProducts(@Param("activeIds") List<Integer> activeIds);

    /**
     * 活动Id
     * @param organizeId
     * @param id
     * @return
     */
    MainmenuVo getMenuInfo(@Param("organizeId") Integer organizeId, @Param("id") Integer id);

    /**
     * 主菜单区详情 -- 单商品
     * @param organizeId
     * @param id
     * @return
     */
    MallOrganizeProductVo getMenuProductList(@Param("organizeId") Integer organizeId, @Param("id") Integer id);

    /**
     * 活动信息
     * @param organizeId
     * @param activeId
     * @return
     */
    MallActiveVo getActiveById(@Param("organizeId") Integer organizeId, @Param("activeId") Integer activeId);
    /**
     * 活动商品列表
     * @param activeId
     * @return
     */
    List<MallOrganizeProductVo> getActiveProduct(@Param("activeId") Integer activeId);
    /**
     * 获取活动宣传图
     * @param activeId
     * @return
     */
    List<MallActiveImageVo> getActiveImageById(@Param("activeId") Integer activeId);
    /**
     * 主菜单区详情 -- 活动
     * @param activeId
     * @return
     */
    List<MallOrganizeProductVo> getMenuActiveList(@Param("activeId") Integer activeId);

    /**
     * 活动类型
     * @param imageId
     * @return
     */
    MallActiveVo getActiveInfo(@Param("imageId") Integer imageId)
;
    /**
     * 活动宣传商品
     * @param imageId
     * @return
     */
    List<MallOrganizeProductVo> getImageProduct(@Param("imageId") Integer imageId);
    /**
     * 商品楼层详情
     * @param floorId
     * @return
     */
    List<MallOrganizeProductVo> getOrganizeProducts(@Param("floorId") Integer floorId);

    /**
     * 专题活动 只有一个已启用状态的活动
     * @return
     */
    MallThemeVo getThemeInfo();

    List<MallOrganizeProductVo> getThemeProduct();
}
