package com.caimei365.commodity.mapper;

import com.caimei365.commodity.model.vo.CombinationVo;
import com.caimei365.commodity.model.vo.ProductItemVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/23
 */
@Mapper
public interface SellerMapper {
    /**
     * 根据关键词获取协销单一商品列表
     * @param searchWord 关键词
     */
    List<ProductItemVo> getSingleProductList(String searchWord);
    /**
     * 根据关键词获取协销组合商品列表
     * @param searchWord 关键词
     */
    List<CombinationVo> getCombinationList(String searchWord);
    /**
     * 获取组合对应的商品集合
     * @param id 组合id
     */
    List<ProductItemVo> getCombinationProductList(Integer id);

    Integer findCombination(Integer productId);

    List<Integer> findProductList(Integer combinationId);

    List<ProductItemVo> getProductList(List<Integer> productIds);
}
