package com.caimei365.commodity.mapper;

import com.caimei365.commodity.model.vo.ProductItemVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zzj 2021/9/17
 */
@Mapper
public interface UserLikeMapper {

    /**
     * 用户收藏
     * @param userId
     * @param productId
     * @param userLike
     * @return
     */
    Integer like(Integer userId, Integer productId,Integer userLike);

    /**
     * 取消收藏
     * @param userId
     * @param productId
     * @param userLike
     * @return
     */
    Integer disLike(Integer userId, Integer productId,Integer userLike);

    /**
     * 查找用户收藏情况
     * @param userId
     * @param productId
     * @return
     */
    Integer findLike(Integer userId, Integer productId);

    /**
     * 新用户收藏
     * @param userId
     * @param productId
     */
    void insert(Integer userId, Integer productId);

    /**
     * 用户收藏列表
     * @param userId
     * @return
     */
    List<ProductItemVo> findLikeList(@Param("userId") Integer userId);


}
