package com.caimei365.commodity.model.dto;

import com.caimei365.commodity.model.po.HeheCollageProductPo;
import com.caimei365.commodity.model.vo.LadderPriceVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author zzj
 */
@ApiModel("呵呵sku")
@Data
public class HeHeSku {

    private Integer productId;
    /**
     * 比例成本百分比
     */
    @ApiModelProperty("比例成本百分比")
    private Double costProportional;
    /**
     * 成本价选中标志：1固定成本 2比例成
     */
    @ApiModelProperty("成本价选中标志")
    private Integer costCheckFlag;

    @ApiModelProperty("skuId")
    private Integer skuId;
    /**
     * 起订量
     */
    @ApiModelProperty("最小购买量")
    private Integer minBuyNumber;
    /**
     * 成本价
     */
    @ApiModelProperty("成本价")
    private BigDecimal costPrice;
    /**
     * 库存
     */
    @ApiModelProperty("库存")
    private Integer stock;
    /**
     * 机构价格
     */
    @ApiModelProperty("机构价格")
    private BigDecimal price;
    /**
     * 市场价
     */
    @ApiModelProperty("市场价")
    private BigDecimal normalPrice;
    /**
     * 包装规格
     */
    @ApiModelProperty("包装规格")
    private String unit;
    /**
     * 阶梯价格
     */
    @ApiModelProperty("活动价")
    private List<LadderPriceVo> ladderPriceList;
    /**
     * 拼团状态:0没有拼团价,1拼团价
     */
    @ApiModelProperty("拼团价状态")
    private Integer collageStatus = 0;

    /**
     * 限时特价状态:0没有限时特价,1限时特价
     */
    @ApiModelProperty("限时特价状态")
    private Integer discountStatus = 0;

    /**
     * 券后价对应优惠券id
     */
    @ApiModelProperty("券后价对应优惠券id")
    private Integer couponId;

    /**
     * 单价未满足优惠条件，显示最小优惠条件的优惠券信息
     */
    @ApiModelProperty("优惠券信息")
    private String couponInfo;

    /**
     * 限时特价结束时间
     */
    @ApiModelProperty("限时特价结束时间")
    private Date discountEndTime;

    /**
     * 拼团商品
     */
    @ApiModelProperty("拼团商品")
    private HeheCollageProductPo collageProduct;

    /**
     * 活动状态:0没有活动,1活动价
     */
    @ApiModelProperty("活动价状态")
    private Integer activeStatus;
    /**
     * 优惠券标签状态：0无可用优惠券，1券后价，2优惠券信息
     */
    @ApiModelProperty("优惠券标签状态")
    private Integer couponStatus;

    /**
     * 券后价
     */
    @ApiModelProperty("券后价")
    private BigDecimal couponPrice = BigDecimal.ZERO;

    /**
     * 原价券后价
     */
    @ApiModelProperty("原价券后价")
    private BigDecimal normalCouponPrice = BigDecimal.ZERO;

    /**
     * 商品名称
     */
    @ApiModelProperty("商品名称")
    private String name;
}
