package com.caimei365.commodity.model.dto;

import com.caimei365.commodity.model.vo.LadderPriceVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author zzj
 */
@ApiModel("商品sku")
@Data
public class Sku {

    private Integer productId;
    /**
     * 组织Id
     */
    private Integer organizeId;

    @ApiModelProperty("svipPriceTag")
    private String svipPriceTag;

    @ApiModelProperty("单品促销优惠价")
    private Double touchPrice;

    @ApiModelProperty("超级会员折扣")
    private Double discount;

    @ApiModelProperty("超级会员优惠价")
    private Double discountPrice;

    @ApiModelProperty("超级会员价类型：1折扣，2优惠价")
    private Integer priceType;
    /**
     * 划线价格
     */
    @ApiModelProperty("划线价格")
    private Double originalPrice;
    /**
     * 最大购买量
     */
    @ApiModelProperty("最大购买量")
    private Integer maxBuyNumber;
    /**
     * 计算后价格等级
     */
    @ApiModelProperty("计算后价格等级")
    private Integer priceGrade;
    /**
     * 是否复购 0否 1是
     */
    @ApiModelProperty("是否复购")
    private Integer repurchaseFlag;
    /**
     * 启用阶梯价格标识 0否 1是
     */
    @ApiModelProperty("阶梯价标志")
    private Integer ladderPriceFlag;
    /**
     * 比例成本百分比
     */
    @ApiModelProperty("比例成本百分比")
    private Double costProportional;
    /**
     * 成本价选中标志：1固定成本 2比例成
     */
    @ApiModelProperty("成本价选中标志")
    private Integer costCheckFlag;

    @ApiModelProperty("skuId")
    private Integer skuId;
    /**
     * 起订量
     */
    @ApiModelProperty("最小购买量")
    private Integer minBuyNumber;
    /**
     * 成本价
     */
    @ApiModelProperty("成本价")
    private Double costPrice;
    /**
     * 库存
     */
    @ApiModelProperty("库存")
    private Integer stock;
    /**
     * 机构价格
     */
    @ApiModelProperty("机构价格")
    private Double price;
    /**
     * 市场价
     */
    @ApiModelProperty("市场价")
    private Double normalPrice;
    /**
     * 包装规格
     */
    @ApiModelProperty("包装规格")
    private String unit;
    /**
     * 阶梯价格
     */
    @ApiModelProperty("阶梯价格")
    private List<LadderPriceVo> ladderPriceList;

    /**
     * 分账组织佣金比例
     */
    @ApiModelProperty("分账组织佣金比例")
    private Double organizePercent;
    /**
     * 分账供应商成本比例
     */
    @ApiModelProperty("分账供应商成本比例")
    private Double shopPercent;
    /**
     * 分账采美佣金比例
     */
    @ApiModelProperty("分账采美佣金比例")
    private Double cmPercent;
}
