package com.caimei365.commodity.model.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/23
 */
@Data
public class BrandPo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;
    /**
     * 品牌名字
     */
    private String name;
    /**
     * 添加来源 0:后台添加, 1:供应商添加
     */
    private Integer source;
    /**
     * 添加用户ID,后台则为后台用户ID,供应商则为供应商用户ID
     */
    private Integer userId;
    /**
     * 品牌状态 0:待审核，1:审核通过，2:审核失败
     */
    private Integer status;
    /**
     * 删除标记 0 否，其余是
     */
    private Integer delFlag;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createDate;
    /**
     * 最后更新时间
     */
    private Date updateDate;
    /**
     * 品牌logo
     */
    private String logo;
    /**
     * 品牌描述
     */
    private String description;
}
