package com.caimei365.commodity.model.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/16
 */
@Data
public class ProductSecondPo implements Serializable {
    private static final long serialVersionUID = 1L;
    /** 主键id */
    private Integer id;
    /** 商品productID */
    private Integer productId;
    /**
     * 二手商品分类，1二手仪1器，2临期产品，3其他
     */
    private String secondHandType;
    /**
     * 二手仪器分类的类型，1轻光电、2重光电、3耗材配件(仅适用于二手仪器分类多个用英文逗号分分隔)
     */
    private Integer instrumentType;
    /**
     * 品牌Id
     */
    private Integer brandId;
    /**
     * 商品名称
     */
    private String name;
    /**
     * 商品价格
     */
    private Double price;
    /**
     * 市场价
     */
    private Double normalPrice;
    /**
     * 采购价/原价(该二手原始购买价格）
     */
    private Double originalPrice;
    /**
     * 是否启用详聊，1不开启，2开启(开启详聊不展示交易价)
     */
    private String detailTalkFlag;
    /**
     * 数量（等同库存）
     */
    private Integer stock;
    /**
     * 出厂日期格式：2020年6月
     */
    private String fixedYears;
    /**
     * 产品到期日格式：2020年6月（仅适用于临期产品）
     */
    private String maturityYears;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 商品成色
     */
    private String productQuality;
    /**
     * 联系人名字
     */
    private String contactName;
    /**
     * 联系方式
     */
    private String contactMobile;
    /**
     * 对接人名称
     */
    private String dockingPeopleName;
    /**
     * 设备类型：1医美、2非医美
     */
    private Integer secondProductType;
    /**
     * 商品详情信息(补充信息)
     */
    private String productDetails;
    /**
     * 商品图片信息
     */
    private String image;
    /**
     * 区Id
     */
    private Integer townId;
    /**
     * 详细联系地址
     */
    private String address;
    /**
     * 信息来源 1网站  2CRM  3后台
     */
    private String source;
    /**
     * 对接人联系方式
     */
    private String dockingPeopleMobile;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 省市区（地址前部分）
     */
    private String provinceCityDistrict;
    /**
     * 是否已售 0和空未出售，1已出售
     */
    private Integer sold;
    /**
     * 浏览量
     */
    private Integer viewingNum;

    /**
     * 付款状态1:待支付、2已付款
     */
    private Integer payStatus;
    /**
     * 支付金额
     */
    private Double payAmount;
    /**
     * 线上支付回调返回数据存档
     */
    private String payFormData;
    /**
     * 付款方式 0后台付款、1:支付宝、2微信 、12PC-B2B网银、13PC-微信支付、14PC-支付宝、15小程序-微信支付
     */
    private String payType;
    /**
     * 线上付款时间
     */
    private Date payDate;
    /**
     * 提交时间
     */
    private Date submitDate;
    /**
     * 审核时间'
     */
    private Date reviewedDate;
    /**
     * 上架时间（审核时上架变化、自动下架后再上架变化、手动下架后上架如果不在有效期内才变化）
     */
    private Date onLineDate;
    /**
     * 后台二手商品发布人员名称
     */
    private String publisher;
    /**
     * 身份验证照片
     */
    private String authenticationImage;
    /**
     * 出让承诺函文件名称
     */
    private String fileName;
    /**
     * 对应oss存储名
     */
    private String ossName;
    /**
     * 出让承诺函图片
     */
    private String commitmentImage;
    /**
     * 发布者身份  1个人身份，2公司身份
     */
    @ApiModelProperty("发布者身份  1个人身份，2公司身份")
    private Integer publishIdentity;
    /**
     * 身份证背面照片
     */
    @ApiModelProperty("身份证背面照片")
    private String authenticationBackImage;
    /**
     * 营业执照照片
     */
    @ApiModelProperty("营业执照照片")
    private String licenseImage;

}
