package com.caimei365.commodity.model.vo;

import com.caimei365.commodity.model.po.BrandProductParamPo;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Aslee
 */
@Data
public class AuthProductVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 商品名称
     */
    private String productName;
    /**
     * 商品SN码
     */
    private String snCode;
    /**
     * 商品图片
     */
    private String productImage;
    /**
     * 供应商公众号二维码图片
     */
    private String qrCodeImage;
    /**
     * 授权牌照
     */
    private String certificateImage;
    /**
     * 品牌授权Id
     */
    private Integer authId;
    /**
     * 品牌授权logo
     */
    private String authLogo;
    /**
     * 品牌Id
     */
    private Integer brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 产地
     */
    private String productionPlace;
    /**
     * 防伪链接
     */
    private String securityLink;
    /**
     * 供应商类型：1品牌方，2代理商
     */
    private Integer shopType;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 供应商用户id
     */
    private Integer authUserId;
    /**
     * 声明类型：1弹窗声明，2链接声明
     */
    private Integer statementType;
    /**
     * 声明弹窗内容
     */
    private String statementContent;
    /**
     * 声明链接
     */
    private String statementLink;
    /**
     * 声明图片
     */
    private String statementImage;
    /**
     * 声明文件
     */
    private StatementFileVo statementFile;
    /**
     * 被授权方
     */
    private String authParty;
    /**
     * 商品参数
     */
    private List<BrandProductParamPo> paramList;
    /**
     * pc商品图片（含水印）
     */
    private String pcImage;
    /**
     * 小程序商品图片（含水印）
     */
    private String appletsImage;
    /**
     * pc授权牌照图片（含水印）
     */
    private String pcCertificateImage;
    /**
     * 小程序授权牌照图片（含水印）
     */
    private String appletsCertificateImage;
}
