package com.caimei365.commodity.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/11/25
 */
@Data
public class BaikeProductVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 关联标签库回显
     */
    private List<String> labels;
    /**
     * 关联标签库
     */
    private String labelStrs;
    /**
     * 关联标签库id
     */
    private String labelIds;

    private Integer productId;

    /**
     * 商品类型：1产品，2仪器
     */
    private Integer commodityType;

    /**
     * 产品/仪器图片
     */
    private String image;

    /**
     * 产品/仪器名称
     */
    private String name;

    /**
     * 概述
     */
    private String discription;

    /**
     * 发布时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date publishTime;

    /**
     * 浏览量
     */
    private Integer pv;

    /**
     * 问题列表
     */
    private List<String> questionList;

    /**
     * 跳转链接
     */
    private String link;
//--------------------------------------------------1.3.3采美百科词条新加字段---------------------------------------------------
    /**
     * 分类id
     */
    private Integer typeId;
    /**
     * 分类名称
     */
    private String typeName;

    /**
     * 百科审核状态：1待审核，2审核通过，3审核失败
     */
    private Integer auditStatus;

    /**
     * 百科上线状态：1待上线，2已上线，3已下线
     */
    private Integer onlineStatus;
    /**
     * 状态（0保存草稿箱 1已发布）
     */
    private Integer status;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addTime;
    /**
     * 别名（义项名）
     */
    private String alias;
    /**
     * seo关键字
     */
    private String seoKeyword;

    /**
     * 概述图册集合
     */
    private List<BaikeImageVo> imageList;
    /**
     * 信息栏集合
     */
    private List<BaikeInfoVo> infoList;
    /**
     * 正文集合
     */
    private List<BaikeTextInfoVo> textInfoList;
    /**
     * 参考资料集合
     */
    private List<CmBaikeReferenceInfo> ReferenceList;
    /**
     * 分类集合
     */
    private List<BaikeTypeVo> typeList;
    /**
     * 视频列表
     */
    private List<BaikeVideoVo> videoList;

    /**
     * 概述图册集合
     */
    private String imageListStr;
    /**
     * 信息栏集合
     */
    private String infoListStr;
    /**
     * 正文集合
     */
    private String textInfoListStr;
    /**
     * 参考资料集合
     */
    private String ReferenceListStr;
    /**
     * 分类集合
     */
    private String typeListStr;
    /**
     * 视频列表
     */
    private String videoListStr;

    /**
     * 词条id
     */
    private Integer id;
    /**
     * '百科发布来源：1采美365网，2供应商'
     */
    private Integer publishSource;
    /**
     * 供应商id，publishSource为2时才有值
     */
    private Integer shopId;

    private Integer authUserId;
}
