package com.caimei365.commodity.model.vo;

import lombok.Data;
import java.io.Serializable;
import java.util.Date;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/5/19
 */
@Data
public class CmPageVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;
    /**
     * 类型：1二级列表 2项目详情 3讲师列表 4自由页面 5分页详情
     */
    private Integer type;
    /**
     * 标题
     */
    private String title;
    /**
     * seo关键词
     */
    private String keywords;
    /**
     * 描述
     */
    private String description;
    /**
     * 首部图片
     */
    private String headImage;
    /**
     * crm首部图片
     */
    private String crmHeadImage;
    /**
     * 首层大图链接
     */
    private String headLink;
    /**
     * 首部文字
     */
    private String headText;
    /**
     * 轮播图链接类型
     */
    private Integer linkType;
    /**
     * 链接包含的参数
     */
    private Map<String, Object> linkParam;
    /**
     * 红包开始时间
     */
    private String redPacketBeginTime;
    /**
     * 红包结束时间
     */
    private String redPacketEndTime;
    /**
     * 资讯信息浮窗状态：0停用，1启用
     */
    private Integer infoBarStatus;
    /**
     * 背景色
     */
    private String backgroundColour;
    /**
     * 背景图
     */
    private String backgroundImage;
    /**
     * 背景图方式：1平铺、2填充
     */
    private Integer backgroundImageWay;
    /**
     * 页面内容标签
     */
    private String contentLabel;
    /**
     * 填充背景类型默认不显示 ：1使用颜色，2使用背景图
     */
    private Integer backgroundType;
}
