package com.caimei365.commodity.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/8/12
 */
@Data
public class CouponVo implements Serializable {
    /**
     * 购买方式 1.直接购买 2.采美豆抵扣
     */
    private Integer couponPayWay;
    /**
     * 优惠券id
     */
    private Integer couponId;

    /**
     * 优惠券金额(面值)
     */
    private BigDecimal couponAmount;

    /**
     * 优惠满减条件金额
     */
    private BigDecimal touchPrice;

    /**
     * 使用开始时间（有效期）
     */
    @JsonFormat(pattern = "yyyy.MM.dd", timezone = "GMT+8")
    private Date startDate;

    /**
     * 使用结束时间（有效期）
     */
    @JsonFormat(pattern = "yyyy.MM.dd", timezone = "GMT+8")
    private Date endDate;

    /**
     * 劵类型 0活动券 1品类券 2用户专享券 3店铺券 4新用户券
     */
    private Integer couponType;

    /**
     * 机构用户id(用户专享券有效)
     */
    private Integer userId;

    /**
     * 供应商id(店铺券有效)
     */
    private Integer shopId;

    /**
     * 价值优惠券属性，1，意向券，2，定向券
     */
    private Integer moneyCouponType;
    /**
     * 优惠商品：1全商城商品 2指定商品(活动券有效)
     */
    private Integer productType;

    /**
     * 优惠品类：1产品 2仪器(品类券有效)
     */
    private Integer categoryType;
    /**
     * 价值优惠券购买金额
     */
    private Double moneyCouponPrice;
    /**
     * 是否是价值优惠券，1是，2不是
     */
    private Integer moneyCouponFlag;
    /**
     * 供应商名称
     */
    private String shopName;

    /**
     * 使用状态: 1未使用 2已使用 3已失效
     */
    private Integer useStatus;

    /**
     * 领取状态: 0未领取 1已领取 (前端使用)
     */
    private Integer couponBtnType = 0;

    /**
     * 使用截止时间
     */
    private Date usePeriod;
}
