package com.caimei365.commodity.model.vo;

import com.caimei365.commodity.model.dto.HeHeSku;
import com.caimei365.commodity.model.dto.Sku;
import com.caimei365.commodity.model.po.HeheCollageProductPo;
import com.caimei365.commodity.model.po.ProductDetailInfoPo;
import com.caimei365.commodity.model.po.ProductParameterPo;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/4/22
 */
@Data
public class HeheProductVo implements Serializable {

    private List<HeHeSku> skus;
    /**
     * 展示的skuId
     */
    private Integer skuId;
    /**
     * 对应采美商品id
     */
    private Integer productId;

    /**
     * 是否为推荐商品(0 没推荐,1 推荐商品)
     */
    private String recommend;

    /**
     * 市场价
     */
    private BigDecimal normalPrice;

    /**
     * 售价
     */
    private BigDecimal price;

    /**
     * 券后价
     */
    private BigDecimal couponPrice = BigDecimal.ZERO;

    /**
     * 原价券后价
     */
    private BigDecimal normalCouponPrice = BigDecimal.ZERO;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品图片
     */
    private String mainImage;

    /**
     * 券后价对应优惠券id
     */
    private Integer couponId;

    /**
     * 包装规格
     */
    private String unit;

    /**
     * 库存
     */
    private Integer stock;

    /**
     * 商品标签用英文逗号隔开，中文逗号或其它一律不作切割
     */
    private String tags;

    /**
     * 活动状态:0没有活动,1活动价
     */
    private Integer activeStatus = 0;

    /**
     * 拼团状态:0没有拼团价,1拼团价
     */
    private Integer collageStatus = 0;

    /**
     * 限时特价状态:0没有限时特价,1限时特价
     */
    private Integer discountStatus = 0;

    /**
     * 优惠券标签状态：0无可用优惠券，1券后价，2优惠券信息
     */
    private Integer couponStatus = 0;

    /**
     * 单价未满足优惠条件，显示最小优惠条件的优惠券信息
     */
    private String couponInfo;

    /**
     * 拼团商品
     */
    private HeheCollageProductPo collageProduct;

    /**
     * 限时特价结束时间
     */
    private Date discountEndTime;

    /**
     * 是否含税 0不含税，1含税
     */
    private String includedTax;

    /**
     * 发票类型(基于是否含税基础) 1增值税专用发票，2增值税普通发票, 3不能开票
     */
    private String invoiceType;

    /**
     * 机构税率 :增值税默认13%，普通票6%取值范围[0-100]
     */
    private BigDecimal clubTaxPoint;

    /**
     * 优惠券标识是否显示
     */
    private Boolean couponsLogo = false;

    /**
     * 品牌名称
     */
    private String brandName;

    /**
     * 标签数组
     */
    private String[] tagsList;

    /**
     * 所有商品图片
     */
    private List<String> imageList;

    /**
     * 商品详情
     */
    private ProductDetailInfoPo productDetail;

    /**
     * 相关参数
     */
    private List<ProductParameterPo> parametersList;

    /**
     * 活动阶梯
     */
    List<LadderPriceVo> ladderList;

    /**
     * 能否退货  1 能 2不能
     */
    private Integer returnGoodsStutas;
    /**
     * 特殊商品退货须知提示  （取后台帮助中心id1040的数据）
     */
    private String  helpContent;

}
