package com.caimei365.commodity.model.vo;

import com.caimei365.commodity.model.dto.Sku;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/28
 */
@Data
public class MallOrganizeProductVo {
    private Integer id;
    /**
     * 组织Id
     */
    private Integer organizeId;
    /**
     * 活动Id
     */
    private Integer activeId;
    /**
     * 楼层Id
     */
    private Integer floorId;
    /**
     * 活动图Id
     */
    private Integer imageId;
    /**
     * 活动商品宣传图主题
     */
    private String topic;
    /**
     * 商品Id
     */
    private Integer productId;
    /**
     * 外部商城商品id
     */
    private Integer mallProductId;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 机构 税率
     */
    private Double taxRate;
    /**
     * 是否含税   0不含税，1含税，2未知
     */
    private Integer includedTax;
    /**
     * 发票类型(基于是否含税基础)   1增值税票，2普通票, 3不能开票
     */
    private String invoiceType;
    /**
     * 商品名称
     */
    private String name;
    /**
     * 商品主图
     */
    private String mainImage;
    /**
     * 市场价
     */
    private String normalPrice;
    /**
     * 成本价
     */
    private String costPrice;
    /**
     * 价格等级
     */
    private Integer priceGrade;
    /**
     * 价格
     */
    private Double price;
    /**
     * 启用阶梯价格标识 0否 1是
     */
    private String ladderPriceFlag;
    /**
     * 售价(此起售价适用于非阶梯价格)
     */
    private String retailPrice;
    /**
     * 最小起订量(此起订量适用于非阶梯价格)
     */
    private String minBuyNumber;
    /**
     * 商品状态,1已上架,2已下架
     */
    private String validFlag;
    /**
     * 添加时间
     */
    private Date addTime;
    /**
     * 修改时间
     */
    private Date updateTime;
    /**
     * 删除标记 0 有效  其它无效
     */
    private Integer delFlag;
    /**
     * sku信息
     */
    private List<Sku> sku;
}
