package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/25
 */
@Data
public class PageDetailVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;
    /**
     * 类型：1二级列表 2项目详情 3讲师列表 4自由页面
     */
    private Integer type;
    /**
     * 标题
     */
    private String title;
    /**
     * seo关键词
     */
    private String keywords;
    /**
     * seo描述
     */
    private String description;
    /**
     * 主图
     */
    private String image;
    /**
     * 按钮名称
     */
    private String buttonName;

    /**
     * 按钮跳转链接
     */
    private String buttonLink;
    /**
     * 链接类型 -1未知类型 1二级页面 2项目仪器 3直播页面 4自由页面 5商品详情 6项目仪器详情
     * 7供应商主页 8专题活动页 9二手市场介绍 10二手商品列表 11二手商品发布 12商品搜索 13信息详情
     * 14品牌招商介绍页 15维修保养介绍页 16首页 17注册页 18信息中心 19供应商列表
     */
    private Integer linkType;

    /**
     * 链接包含的参数
     */
    private Map<String, Object> linkParam;
    /**
     * 项目详情页名称和内容（根据类型分类）
     */
    private Map<String, List<EquipmentParameterVo>> pageContentMap;
    /**
     * 项目仪器中层数据
     */
    private List<PageFloorVo> floorList;
    /**
     * 背景色
     */
    private String backgroundColour;
    /**
     * 背景图
     */
    private String backgroundImage;

    private Integer backgroundImageWay;
    /**
     * 页面内容标签
     */
    private String contentLabel;

    private Integer backgroundType;
}
