package com.caimei365.commodity.model.vo;

import com.caimei365.commodity.model.po.ProductPo;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 页面楼层
 *
 * @author : Charles
 * @date : 2021/4/12
 */
@Data
public class PageFloorVo implements Serializable {
    private Integer id;
    private Integer type;
    private String title;
    private String detail;
    private String link;
    private Integer floorType;
    /**
     * 楼层相关商品图片
     */
    private List<FloorImageVo> floorImageList;
    /**
     * 楼层相关商品图片2
     */
    private List<FloorImageVo> floorImageList2;
    /**
     * 楼层相关商品图片3
     */
    private List<FloorImageVo> floorImageList3;

    /**
     * 固定楼层相关商品
     */
    private List<FloorImageVo> floorImageList4;

    private List<PageFloorVo> subFloors;
    private List<ImageLinkVo> floorData;
    /**
     * 链接类型 -1未知类型 1二级页面 2项目仪器 3直播页面 4自由页面 5商品详情 6项目仪器详情
     * 7供应商主页 8专题活动页 9二手市场介绍 10二手商品列表 11二手商品发布 12商品搜索 13信息详情
     * 14品牌招商介绍页 15维修保养介绍页 16首页 17注册页 18信息中心 19供应商列表
     */
    private Integer linkType;
    /**
     * 链接包含的参数
     */
    private Map<String, Object> linkParam;

    /**
     * 楼层内容模板
     */
    private FloorContentVo floorContent;
    /**
     * 商品ID
     */
    private Integer productID;
    /**
     * 前端pc控制查看更多
     */
    private Boolean isPageMore = false;

    private static final long serialVersionUID = 1L;
}
