package com.caimei365.commodity.model.vo;

import com.caimei365.commodity.model.dto.Sku;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 商品价格
 *
 * @author : Charles
 * @date : 2021/4/9
 */
@Data
public class PriceVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Double originalPrice;

    private Integer stock;

    private String unit;

    private List<Sku> skus;
    /**
     * 展示的最低市场价
     */
    private Double normalPrice;
    /**
     * 展示的sku的skuId
     */
    private Integer skuId;
    /**
     * 展示的阶梯价格标识 0否 1是
     */
    private Integer ladderPriceFlag;
    /**
     * 默认展示的最低起订量
     */
    private Integer minBuyNumber;
    /**
     * 默认展示的最低价格
     */
    private Double price;
    /**
     * 促销活动可见性 0所有人，1仅对机构
     */
    private Integer seen;
    /**
     * 商品productID
     */
    private Integer productId;
    /**
     * 供应商ID
     */
    private Integer shopId;
    /**
     * 是否公开机构价: 0公开价格，1不公开价格，2仅对会员机构公开，3仅对医美机构公开
     */
    private Integer priceFlag;
    /**
     * 用户身份: 2-会员机构, 4-普通机构
     */
    private Integer userIdentity;

    /**
     * 购买数量: 1逐步增长,2以起订量增长(起订量的倍数增长)
     */
    private Integer step;
    /**
     * 商品是否处于活动状态 1是 0否
     */
    private Integer actStatus;
    /**
     * 促销活动
     */
    private PromotionsVo promotions;
    /**
     * 机构税率
     */
    private BigDecimal taxRate;
    /**
     * 是否含税 0不含税，1含税，2未知
     */
    private String includedTax;

    /**
     * 发票类型(基于是否含税基础) 1增值税票，2普通票, 3不能开票
     */
    private String invoiceType;

    /**
     * 优惠券标识是否显示
     */
    private Boolean couponsLogo = false;

    /**
     * 超级会员优惠商品标识：0不是，1是
     */
    private Integer svipProductFlag;

    /**
     * 超级会员优惠价类型:1折扣价，2直接优惠价
     */
    private Integer svipPriceType;

    /**
     * 超级会员折扣
     */
    private BigDecimal svipDiscount;

    /**
     * 超级会员优惠价
     */
    private BigDecimal svipDiscountPrice;

    /**
     * 超级会员价格标签
     */
    private String svipPriceTag;

}

