package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/6/18
 */
@Data
public class ProductRepairVo implements Serializable {
    /**  */
    private static final long serialVersionUID = 1L;
    /**  */
    private Integer id;
    /** 订单号 */
    private String orderNo;
    /** 用户ID */
    private Integer userId;
    /** 仪器名称 */
    private String instrumentName;
    /** 生产厂家 */
    private String manufacturer;
    /** 仪器品牌/型号 */
    private String instrumentBrand;
    /** 维修数量 */
    private String maintenanceNum;
    /** 仪器图1 */
    private String instrumentImage1;
    /** 仪器图2 */
    private String instrumentImage2;
    /** 仪器图3 */
    private String instrumentImage3;
    /** 仪器图4 */
    private String instrumentImage4;
    /** 仪器图5 */
    private String instrumentImage5;
    /** 问题描述 */
    private String problemDescription;
    /** 用户账号 */
    private String userAccount;
    /** 用户名称 */
    private String userName;
    /** 用户联系人 */
    private String userContact;
    /** 用户手机号 */
    private Long userMobile;
    /** 用户联系地址 */
    private String userAddress;
    /** 维修商名称 */
    private String maintainerName;
    /** 维修商手机号 */
    private Long maintainerMobile;
    /** 维修商联系地址 */
    private String maintainerAddress;
    /** 维修状态1.已提交，2已对接（确认真实后）3已评价，4取消 */
    private String status;
    /** 真实性 1已核实，2无效 */
    private Long authenticity;
    /** 服务评分，一颗心表示1，多颗数次之 */
    private Long serviceRating;
    /** 服务评价 */
    private String serviceEvaluate;
    /** 是否解决：0未解决，1已解决 */
    private String solveStatus;
    /** 取消原因 */
    private String cancelReason;
    /** 提交时间 */
    private Date submitDate;
    /** 对接时间 */
    private Date dockingDate;
    /** 评价时间 */
    private Date evaluateDate;
    /** 取消时间 */
    private Date cancelDate;
    /** 注册时间开始 查询条件 */
    private String startTime;
    /** 注册时间结束  查询条件 */
    private String endTime;
    /**  */
    private String provinceName;
    /**  */
    private String cityName;
    /**  */
    private String townName;
    /** 能不能评价 true 就是用户可评价,  false 就是供应商不可评价仅查看 */
    private boolean canEvaluation;
    /** true 只展示基本信息,  false  展示详细信息 */
    private boolean onlyBaseInfo;
    /** 信息查看者类型 1=用户查看可以评价; (供应商只能查看不能操作)2=没有对接供应商查看基本信息; 3已对接供应查看完整信息 */
    private String viewerType;
    /** 仪器图数组 */
    private String[] instrumentArr;
}
