package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/15
 */
@Data
public class SecondDetailVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 发布者身份
     */
    private Integer publishIdentity;
    /**
     * 商品productID
     */
    private Integer productId;
    /**
     * 名称name
     */
    private String name;
    /**
     * 主图mainImage
     */
    private String image;
    /**
     * 品牌
     */
    private String brandName;
    private Integer brandId;
    /**
     * 是否已售 0和空未出售，1已出售
     */
    private String sold;
    /**
     * 是否新上架 0非新上架，1新上架
     */
    private String newAdded;
    /**
     * 是否启用详聊，1不开启，2开启(开启详聊不展示交易价)
     */
    private Integer detailTalkFlag;
    /**
     * 价格
     */
    private Double price;
    /**
     * 交易价字符串千分位
     */
    private String priceStr;
    /**
     * 上架时间（审核时上架变化、自动下架后再上架变化、手动下架后上架如果不在有效期内才变化）
     */
    private Date onLineDate;
    /**
     * 上架时间字符串（年月日）
     */
    private String onLineDateStr;
    /**
     * 浏览量
     */
    private Integer viewingNum;
    /**
     * 省市区（地址前部分）
     */
    private String provinceCityDistrict;
    /**
     * 二手商品列表图片数据集合
     */
    private List<String> imageList;

    /**
     * 商品类型：0其它类型(默认)，1妆字号，2械字号
     */
    private Integer productType;
    /**
     * 二手商品分类，1二手仪1器，2临期产品，3其他
     */
    private Integer secondHandType;
    /**
     * 二手仪器分类的类型，1轻光电、2重光电、3耗材配件(仅适用于二手仪器分类多个用英文逗号分分隔)
     */
    private Integer instrumentType;
    /**
     * 商品类型（二手仪器-重光电）
     */
    private String typeStr;
    /**
     * 品牌信息（品牌描述）
     */
    private String brandInfo;
    /**
     * 商品详情信息(补充信息)
     */
    private String productDetails;
    /**
     * 是否已售 0和空未出售，1已出售
     */
    private String productQuality;
    /**
     * 库存
     */
    private Integer stock;
    /**
     * 市场价
     */
    private Double normalPrice;
    /**
     * 市场价价字符串千分位
     */
    private String normalPriceStr;
    /**
     * 采购价/原价(该二手原始购买价格）
     */
    private Double originalPrice;
    /**
     * 采购价/原价(该二手原始购买价格）千分位串
     */
    private String originalPriceStr;
    /**
     * 出厂日期格式：2020年6月
     */
    private String fixedYears;
    /**
     * 产品到期日格式：2020年6月（仅适用于临期产品）
     */
    private String maturityYears;
    /**
     * 是否显示联系人，1不显示，2显示
     */
    private String showContactFlag;
    /**
     * 联系人名字
     */
    private String contactName;
    /**
     * 联系方式
     */
    private String contactMobile;
    /**
     * 商品可见度：3:所有人可见，2:普通机构可见，1:会员机构可见，4:仅医美机构可见
     */
    private Integer visibility;

}
