package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/14
 */
@Data
public class SecondListVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /** 商品productID */
    private Integer productId;
    /** 名称name */
    private String name;
    /** 主图mainImage */
    private String image;
    /** 品牌 */
    private String brandName;
    private Integer brandId;
    /** 是否已售 0和空未出售，1已出售 */
    private Integer sold;
    /** 是否新上架 0非新上架，1新上架 */
    private Integer newAdded;
    /** 是否启用详聊，1不开启，2开启(开启详聊不展示交易价)*/
    private Integer detailTalkFlag;
    /** 价格 */
    private Double price;
    /** 交易价字符串千分位 */
    private String priceStr;
    /** 上架时间（审核时上架变化、自动下架后再上架变化、手动下架后上架如果不在有效期内才变化） */
    private Date onLineDate;
    /** 上架时间字符串（年月日） */
    private String onLineDateStr;
    /** 浏览量 */
    private Integer viewingNum;
    /** 省市区（地址前部分） */
    private String provinceCityDistrict;
    /** 二手商品列表图片数据集合 */
    private List<String> imageList;

}
