package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/14
 */
@Data
public class ShopFloorVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;
    /**
     * 微信供应商主图
     */
    private String crmImage;
    /**
     * www供应商主图
     */
    private String wwwImage;
    /**
     * www端主图链接
     */
    private String wwwLink;
    /**
     * 链接类型 -1未知类型 1二级页面 2项目仪器 3直播页面 4自由页面 5商品详情 6项目仪器详情
     * 7供应商主页 8专题活动页 9二手市场介绍 10二手商品列表 11二手商品发布 12商品搜索 13信息详情
     * 14品牌招商介绍页 15维修保养介绍页 16首页 17注册页 18信息中心 19供应商列表
     */
    private Integer linkType;

    /**
     * 链接包含的参数
     */
    private Map<String, Object> linkParam;

    /**
     * 优质供应商数据
     */
    private List<ShopImageVo> qualitySupplierList;
}
