package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/3/16
 */
@Data
public class ShopVo implements Serializable {
    /**
     * 银行卡号
     */
    private String cardNumber;
    /**
     * 开户名
     */
    private String accountName;
    /**
     * 开户行
     */
    private String banOfDeposit;
    /**
     * 账户类型
     */
    private String accountType;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 供应商ID
     */
    private Integer shopId;
    /**
     * 供应商公司名称
     */
    private String name;
    /**
     * 供应商公司简称
     */
    private String shortName;
    /**
     * 联系人
     */
    private String linkMan;
    /**
     * 手机号
     */
    private String contractMobile;
    /**
     * 联系人邮箱
     */
    private String email;
    private String contractEmail;
    /**
     * 固定电话
     */
    private String contractPhone;
    /**
     * 省
     */
    private Integer provinceId;
    /**
     * 市
     */
    private Integer cityId;
    /**
     * 所在县区Id
     */
    private Integer townId;
    /**
     * 地址
     */
    private String address;
    /**
     * 统一社会信用代码
     */
    private String socialCreditCode;
    /**
     * 营业执照(businessLicenseImage)
     */
    private String businessLicense;
    /**
     * 医疗=1和非医疗=2
     */
    private Integer firstShopType;
    /**
     * 医疗的二级分类 一类器械=1、二类器械 =2、三类器械=3、其他=4 /// 1和非医疗没有二级分类
     */
    private Integer secondShopType;
    /**
     * 主打项目(mainpro)
     */
    private String mainProduct;
    /**
     * 添加时间
     */
    private String addTime;
    /**
     * 供应商状态： 90:已上线，91:已下线，92:审核不通过，3:待审核
     */
    private Integer status;
    /**
     * 是否可用，1可用
     */
    private String validFlag;
    /**
     * 省市区地址
     */
    private String provincialAddress;

    /**
     * 荣誉证书
     */
    private List<String> honorCertification;

    /**
     * 生产经营证书
     */
    private String operationLicence;

    /**
     * 产品证书
     */
    private List<String> productCertification;

    /**
     * 卫生许可证
     */
    private String hygienicLicense;

    /**
     * 税务登记证
     */
    private String taxLicense;
    /**
     * 主打商品说明(productDesc)
     */
    private String mainProductDesc;
    /**
     * 法人代表
     */
    private String legalPerson;
    /**
     * 注册资本
     */
    private Double registeredCapital;
    /**
     * 传真号(fax)
     */
    private String faxNumber;
    /**
     * 公司性质(nature)
     */
    private String companyNature;
    /**
     * 年营业额
     */
    private Double turnover;
    /**
     * 医疗执业许可证(medicalPracticeLicenseImg1)
     */
    private String medicalPracticeLicense;
    /**
     * 公司介绍(info)
     */
    private String shopDesc;
    /**
     * 经营范围
     */
    private String businessScope;
    /**
     * 公司LOGO
     */
    private String logo;
    /**
     * 官网地址
     */
    private String website;
    /**
     * 微信公众号
     */
    private String wxOfficialAccount;
    /**
     * 微信小程序
     */
    private String wxApplets;
    /**
     * 上架商品数量
     */
    private Integer normalNum;
    /**
     * 经营范围
     */
    private String[] businessScopeArray;
}
