package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/15
 */
@Data
public class UserVo implements Serializable {
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 用户类型，供应商1，会员机构3,普通机构4
     */
    private Integer registerUserTypeId;
    /**
     * 注册来源: 0网站 1小程序
     */
    private Integer source;
    /**
     * 机构ID
     */
    private Integer clubId;
    /**
     * 供应商ID
     */
    private Integer shopId;
    /**
     * 协销Id
     */
    private Integer serviceProviderId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 手机号码
     */
    private String mobile;
    /**
     * 企业绑定手机号
     */
    private String bindMobile;
    /**
     * 密码
     */
    private String password;
    /**
     * 用户身份: 1协销 2会员机构 3供应商 4普通机构
     */
    private Integer userIdentity;
    /**
     * 用户权限: 2会员机构 3供应商 4协销 5普通机构
     */
    private Integer userPermission;
    /**
     * 组织名称
     */
    private String name;
    /**
     * 机构状态：90:已上线，91:已冻结，92:审查资料未通过,待补充资料，1:待审查资料，2:电话预约，3:已预约，20:待确认，21:待拜访，30:待员工推荐，40:已完成第一次采购
     */
    private Integer clubStatus;
    /**
     * 供应商状态：90:已上线，91:已下线，92:审核不通过，3:待审核
     */
    private Integer manufacturerStatus;
    /**
     * 协销状态：90:已上线
     */
    private Integer serviceProviderStatus;
    /**
     * 同意协议标志
     */
    private Integer agreeFlag;
    /**
     * 注册时间
     */
    private String registerTime;
    /**
     * 注册ip
     */
    private String registerIp;
    /**
     * 用户状态，1正常，0冻结
     */
    private Integer validFlag;
    /**
     * 审核状态,0 待审 1 审核通过 2 审核不通过
     */
    private Integer auditStatus;

    /**
     * 审核时间
     */
    private String auditTime;

    /**
     * 审核备注
     */
    private String auditNote;

    /**
     * 采美豆数量
     */
    private Integer userBeans;

    /**
     * 账户实际可用余额
     */
    private Double ableUserMoney;

    /**
     * 头像
     */
    private String image;

    /**
     * 审核不通过原因列表
     */
    private List<String> auditNoteList;
    /**
     * 登入时间
     */
    private String loginTime;
}
