package com.caimei365.commodity.service;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.model.vo.*;

import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2022/3/29
 */
public interface HeheService {
    /**
     * 获取首页分类列表
     */
    ResponseJson<List<BigTypeVo>> getHomeTypeList();

    /**
     * 获取商品列表
     * @return
     */
    ResponseJson<Map<String, Object>> getProductList(Integer listType, Integer homeTypeId, Integer homeFloorId, Integer smallTypeId, Integer couponId, Integer activityId, Integer userId, String name, String productIds, Integer sortType, int pageNum, int pageSize);

    /**
     * 首页楼层数据
     */
    ResponseJson<Map<String, Object>> getHomeData(Integer userId);

    /**
     * 活动专区
     * @return
     */
    ResponseJson<PaginationVo<HeHeActivityVo>> getActivityList(Integer userId, Integer pageNum, Integer pageSize);

    /**
     * 活动详情
     */
//    ResponseJson<Map<String, Object>> getActivityDetails(Integer userId, Integer activityId, Integer pageNum, Integer pageSize);

    /**
     * 查询商品详情
     */
    ResponseJson<HeheProductVo> getProductDetails(Integer productId, Integer userId);

    /**
     * 查询轮播图
     * @return
     */
    ResponseJson<List<HeHeImageVo>> getHomeCarousel();

    /**
     * 设置商品详情
     */
//    void setProductDetails(HeheProductVo product, Integer userId);
}
