package com.caimei365.commodity.service;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.model.vo.MallOrganizeProductVo;
import com.caimei365.commodity.model.vo.MallThemeVo;

import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/28
 */
public interface MallOrganizeService {

    /**
     * 联合丽格小程序首页
     * @return
     */
    ResponseJson<Map<String, Object>> getMallHome(Integer organizeId);

    /**
     * 活动详情
     * @param organizeId
     * @param activeId
     * @return
     */
    ResponseJson<Map<String,Object>> getMenu(Integer organizeId, Integer activeId);

    /**
     * 活动商品列表
     * @return
     */
    ResponseJson<List<MallOrganizeProductVo>> activeProduct(Integer imageId);
    /**
     * 商品楼层详情
     * @param floorId
     * @return
     */
    ResponseJson<List<MallOrganizeProductVo>> getOrganizeProducts(Integer floorId);

    /**
     * 专题活动 只有一个已启用状态的活动
     * @return
     */
    ResponseJson<Map<String,Object>> getThemeInfo();
}
