package com.caimei365.commodity.service;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.model.vo.BigTypeVo;
import com.caimei365.commodity.model.vo.SmallTypeVo;
import com.caimei365.commodity.model.vo.TinyTypeVo;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/22
 */
public interface ProductTypeService {
    /**
     * 根据商品属性获取一级分类下拉
     *
     * @param typeSort 分类类型，1产品，2仪器
     * @param mallType
     */
    ResponseJson<List<BigTypeVo>> getBigTypeSelect(Integer typeSort, Integer mallType);
    /**
     * 获取二级分类下拉列表
     *
     * @param bigTypeId 一级分类Id
     */
    ResponseJson<List<SmallTypeVo>> getSmallTypeSelect(Integer bigTypeId);
    /**
     * 获取三级分类下拉列表
     *
     * @param smallTypeId 二级分类Id
     */
    ResponseJson<List<TinyTypeVo>> getTinyTypeSelect(Integer smallTypeId);
    /**
     * 根据Id获取分类（小程序）
     *
     * @param typeId  分类Id
     * @param idType  typeId类型：1:bigType，2:smallType，3:tinyType
     * @param source  请求来源：www,crm
     */
    ResponseJson<BigTypeVo> getTypeById(Integer typeId, Integer idType, String source);
}
