package com.caimei365.commodity.service;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.model.search.ProductListVo;
import com.caimei365.commodity.model.vo.ProductItemVo;
import com.caimei365.commodity.model.vo.ImageLinkVo;
import com.caimei365.commodity.model.vo.PromotionsVo;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/9
 */
public interface PromotionsService {
    /**
     * 专题活动列表数据
     *
     * @param  source 来源
     * @return List<PromotionsVo>
     */
    ResponseJson<PageInfo<ImageLinkVo>> getPromotionsList(Integer source, int pageNum, int pageSize);
    /**
     * 获取促销活动详情
     *
     * @param promotionsId 促销活动Id
     */
    ResponseJson<PromotionsVo> getPromotionDetails(Integer promotionsId);
    /**
     * 获取促销活动凑单商品
     *
     * @param promotionsId 促销活动id
     */
    ResponseJson<PageInfo<ProductListVo>> getPromotionProduct(Integer promotionsId, Integer identity, int pageNum, int pageSize);
    /**
     * 详情-获取赠品
     *
     * @param promotionsId 促销活动Id
     */
    ResponseJson<List<ProductItemVo>> getPromotionGifts(Integer promotionsId);
}
