package com.caimei365.commodity.service;

import com.caimei365.commodity.model.ResponseJson;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/6
 */
public interface SearchIndexService {
    /**
     * 初始化（添加）所有索引
     * @return totalRecord
     */
    ResponseJson<Integer> initAllIndexes();

    /**
     * 更新所有商品
     * @return
     */
    ResponseJson<Integer> updateAllProductIndexes();

    /**
     * 更新所有供应商
     * @return
     */
    ResponseJson<Integer> updateAllSupplierIndexes();

    /**
     * 更新所有项目仪器
     * @return
     */
    ResponseJson<Integer> updateAllEquipmentIndexes();

    /**
     * 更新所有文章
     * @return
     */
    ResponseJson<Integer> updateAllArticleIndexes();


    /**
     * 根据商品Id更新
     * @param productId
     * @return
     */
    ResponseJson<Integer> updateProductIndexById(Integer productId);

    /**
     * 根据供应商Id更新
     * @param shopId
     * @return
     */
    ResponseJson<Integer> updateSupplierIndexById(Integer shopId);

    /**
     * 根据项目仪器Id更新
     * @param equipmentId
     * @return
     */
    ResponseJson<Integer> updateEquipmentIndexById(Integer equipmentId);

    /**
     * 根据文章Id更新
     * @param articleId
     * @return
     */
    ResponseJson<Integer> updateArticleIndexById(Integer articleId);


    /**
     * 根据商品Id删除
     * @param productId
     * @return
     */
    ResponseJson<Integer> deleteProductIndexById(Integer productId);

    /**
     * 根据供应商Id删除
     * @param shopId
     * @return
     */
    ResponseJson<Integer> deleteSupplierIndexById(Integer shopId);

    /**
     * 根据项目仪器Id删除
     * @param equipmentId
     * @return
     */
    ResponseJson<Integer> deleteEquipmentIndexById(Integer equipmentId);

    /**
     * 根据文章Id删除
     * @param articleId
     * @return
     */
    ResponseJson<Integer> deleteArticleIndexById(Integer articleId);

    /**
     * 根据主文档Id删除
     * @param id
     * @return
     */
    ResponseJson<Integer> deleteMainIndexById(Integer id);

}
