package com.caimei365.commodity.service;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.model.vo.CombinationVo;
import com.caimei365.commodity.model.vo.PaginationVo;
import com.caimei365.commodity.model.vo.ProductItemVo;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/23
 */
public interface SellerService {
    /**
     * 协销搜索商品(单一)
     *
     * @param searchWord 搜索关键字
     * @param clubUserId 机构用户Id
     * @param pageNum    页码
     * @param pageSize   每页数量
     */
    ResponseJson<PaginationVo<ProductItemVo>> searchSingleProducts(String searchWord, Integer clubUserId, int pageNum, int pageSize);

    /**
     * 协销搜索商品(组合)
     *
     * @param searchWord 搜索关键字
     * @param clubUserId 机构用户Id
     * @param pageNum    页码
     * @param pageSize   每页数量
     */
    ResponseJson<PaginationVo<CombinationVo>> searchCombinationProducts(String searchWord, Integer clubUserId, int pageNum, int pageSize);

    /**
     * 配套商品列表
     *
     * @param productId
     * @param userId
     * @param source
     * @return
     */
    ResponseJson<PaginationVo<ProductItemVo>> searchCombinationList(Integer productId, Integer userId, Integer source, int pageNum, int pageSize);
}
